package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.dto.BillDTO;
import com.prolog.cs.biz.outbound.model.dto.BillMergeDTO;
import com.prolog.cs.biz.outbound.model.entity.WaveBillDO;
import com.prolog.framework.common.message.RestMessage;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

public interface BillService {

    RestMessage<Boolean> updateBill(List<BillDTO> billDTO);

    RestMessage<Boolean> delete(BillDTO billDTO);

    Page<WaveBillDO> query(BillDTO billDTO);

    List<WaveBillDO> queryForMerge(BillMergeDTO billMergeDTO);

    boolean merge(BillMergeDTO billIds);

    /**
     * 更新波次操作时的订单
     *
     * @param billDTOs
     */
    void updateWaveBill(List<BillDTO> billDTOs);
}
